Bug 19509 - lpr: another local root compromise
Summary: lpr: another local root compromise
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL: http://crash.ihug.co.nz/~Sneuro/lpd-a...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-21 16:05 UTC by Chris Evans
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-21 16:05:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2000-10-21 16:05:40 UTC
See the URL.
Alternatively, see the Bugtraq post in which this was recently reported:
http://www.securityfocus.com/archive/1/140614

This also illustrates the hazards of
1) Binaries not owned by root
2) Re-use of the same uid for different purposes/subsystems

Comment 1 Crutcher Dunnavant 2000-10-23 15:47:19 UTC
This was fixed in an old groff update for 6x and 5x,
get the latest updates, install, and this is gone.


Note You need to log in before you can comment on or make changes to this bug.